public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-misc/mosquitto/files/, app-misc/mosquitto/
@ 2016-05-06 13:24 Sam Jorna
  0 siblings, 0 replies; 5+ messages in thread
From: Sam Jorna @ 2016-05-06 13:24 UTC (permalink / raw
  To: gentoo-commits

commit:     a5b732589937dfc6da6faff69670900a110acdb8
Author:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
AuthorDate: Fri May  6 13:23:21 2016 +0000
Commit:     Sam Jorna <wraeth <AT> gentoo <DOT> org>
CommitDate: Fri May  6 13:24:23 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5b73258

app-misc/mosquitto: new ebuild

Mosquitto is an open source MQTT broker. Ebuild added with proxied
maintainer Neil Bothwick under the Proxy Maintainers project.

Gentoo-bug: 320159
Package-Manager: portage-2.2.28

 app-misc/mosquitto/Manifest                        |  1 +
 app-misc/mosquitto/files/mosquitto                 | 24 ++++++
 .../files/mosquitto-1.4.8-conditional-tests.patch  | 41 +++++++++
 app-misc/mosquitto/files/mosquitto.service         | 12 +++
 app-misc/mosquitto/metadata.xml                    | 17 ++++
 app-misc/mosquitto/mosquitto-1.4.8.ebuild          | 97 ++++++++++++++++++++++
 6 files changed, 192 insertions(+)

diff --git a/app-misc/mosquitto/Manifest b/app-misc/mosquitto/Manifest
new file mode 100644
index 0000000..7e0827a
--- /dev/null
+++ b/app-misc/mosquitto/Manifest
@@ -0,0 +1 @@
+DIST mosquitto-1.4.8.tar.gz 326120 SHA256 d96eb5610e57cc3e273f4527d3f54358ab7711459941a9e64bc4d0a85c2acfda SHA512 4bad8683e98ec858468c53f85f53b42a4166667cebf665d11d3dabe604711f5031da007c8f6d6cb49b8bc91b87eb452bc1f8bfa6adf2d439d2223180b316f9bc WHIRLPOOL b2931c55f3e70316cb57ae180f361c1dedf67e86fec9f235aa3b817884e6af13b8b9b8dc83e375a877d85b1d423ea586ee0698b08af88873a1131d58b4ed402a

diff --git a/app-misc/mosquitto/files/mosquitto b/app-misc/mosquitto/files/mosquitto
new file mode 100644
index 0000000..39b1eb9
--- /dev/null
+++ b/app-misc/mosquitto/files/mosquitto
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+
+depend() {
+	need net
+}
+
+checkconfig() {
+	if [ ! -f /etc/${SVCNAME}/${SVCNAME}.conf ] ; then
+		eerror "No /etc/${SVCNAME}/${SVCNAME}.conf file exists!"
+	fi
+}
+
+start() {
+	checkconfig || return 1
+	ebegin "Starting ${SVCNAME}"
+	start-stop-daemon --start --exec /usr/sbin/${SVCNAME} --background --make-pidfile --pidfile /var/run/${SVCNAME}.pid -- --config-file /etc/${SVCNAME}/${SVCNAME}.conf
+	eend $?
+}
+
+stop() {
+	ebegin "Stopping ${SVCNAME}"
+	start-stop-daemon --stop --exec /usr/sbin/${SVCNAME} --pidfile /var/run/${SVCNAME}.pid
+	eend $?
+}

diff --git a/app-misc/mosquitto/files/mosquitto-1.4.8-conditional-tests.patch b/app-misc/mosquitto/files/mosquitto-1.4.8-conditional-tests.patch
new file mode 100644
index 0000000..811cee6
--- /dev/null
+++ b/app-misc/mosquitto/files/mosquitto-1.4.8-conditional-tests.patch
@@ -0,0 +1,41 @@
+--- a/test/broker/Makefile	2016-02-14 14:36:55.000000000 +0000
++++ b/test/broker/Makefile	2016-05-05 09:53:30.548519257 +0100
+@@ -63,11 +63,13 @@
+ 	./05-clean-session-qos1.py 
+ 
+ 06 :
++ifeq ($(WITH_BRIDGE),yes)
+ 	./06-bridge-reconnect-local-out.py
+ 	./06-bridge-br2b-disconnect-qos1.py
+ 	./06-bridge-br2b-disconnect-qos2.py
+ 	./06-bridge-b2br-disconnect-qos1.py
+ 	./06-bridge-b2br-disconnect-qos2.py
++endif
+ 
+ 07 :
+ 	./07-will-qos0.py
+@@ -85,10 +87,12 @@
+ 	./08-ssl-connect-cert-auth-crl.py
+ 	./08-ssl-connect-identity.py
+ 	./08-ssl-connect-no-identity.py
++ifeq ($(WITH_BRIDGE),yes)
+ 	./08-ssl-bridge.py
+ 	./08-tls-psk-pub.py
+ 	./08-tls-psk-bridge.py
+ endif
++endif
+ 
+ 09 :
+ 	./09-plugin-auth-unpwd-success.py
+--- a/test/broker/c/Makefile	2016-02-14 14:36:55.000000000 +0000
++++ b/test/broker/c/Makefile	2016-05-05 09:40:31.440608209 +0100
+@@ -13,7 +13,9 @@
+ 	$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
+ 
+ 08-tls-psk-bridge.test : 08-tls-psk-bridge.c
++ifeq ($(WITH_BRIDGE),yes)
+ 	$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
++endif
+ 
+ 
+ reallyclean : clean

diff --git a/app-misc/mosquitto/files/mosquitto.service b/app-misc/mosquitto/files/mosquitto.service
new file mode 100644
index 0000000..ebdc28e
--- /dev/null
+++ b/app-misc/mosquitto/files/mosquitto.service
@@ -0,0 +1,12 @@
+[Unit]
+Description=Mosquitto MQTT Broker daemon
+ConditionPathExists=/etc/mosquitto/mosquitto.conf
+Requires=network.target
+
+[Service]
+Type=simple
+ExecStart=/usr/sbin/mosquitto -c /etc/mosquitto/mosquitto.conf
+Restart=always
+
+[Install]
+WantedBy=multi-user.target

diff --git a/app-misc/mosquitto/metadata.xml b/app-misc/mosquitto/metadata.xml
new file mode 100644
index 0000000..da548ae
--- /dev/null
+++ b/app-misc/mosquitto/metadata.xml
@@ -0,0 +1,17 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>neil@digimed.co.uk</email>
+		<name>Neil Bothwick</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
+	<use>
+		<flag name="bridge">Enable bridge support in the MQTT broker.</flag>
+		<flag name="persistence">Store messages and subscriptions to a file.</flag>
+		<flag name="srv">Include SRV lookup support.</flag>
+	</use>
+</pkgmetadata>

diff --git a/app-misc/mosquitto/mosquitto-1.4.8.ebuild b/app-misc/mosquitto/mosquitto-1.4.8.ebuild
new file mode 100644
index 0000000..a9ebf16
--- /dev/null
+++ b/app-misc/mosquitto/mosquitto-1.4.8.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils systemd user python-any-r1
+
+DESCRIPTION="An Open Source MQTT v3 Broker"
+HOMEPAGE="http://mosquitto.org/"
+SRC_URI="http://mosquitto.org/files/source/${P}.tar.gz"
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bridge examples +persistence +srv ssl tcpd"
+
+RDEPEND="tcpd? ( sys-apps/tcp-wrappers )
+	ssl? ( dev-libs/openssl:0= )"
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
+	srv? ( net-dns/c-ares )"
+
+LIBDIR=$(get_libdir)
+QA_PRESTRIPPED="/usr/sbin/mosquitto
+	/usr/bin/mosquitto_passwd
+	/usr/bin/mosquitto_sub
+	/usr/bin/mosquitto_pub
+	/usr/${LIBDIR}/libmosquittopp.so.1
+	/usr/${LIBDIR}/libmosquitto.so.1"
+
+pkg_setup() {
+	enewgroup mosquitto
+	enewuser mosquitto -1 -1 -1 mosquitto
+}
+
+src_prepare() {
+	epatch "${FILESDIR}/${P}-conditional-tests.patch"
+	if use persistence; then
+		sed -i -e "s:^#autosave_interval:autosave_interval:" \
+			-e "s:^#persistence false$:persistence true:" \
+			-e "s:^#persistence_file:persistence_file:" \
+			-e "s:^#persistence_location$:persistence_location /var/lib/mosquitto/:" \
+			mosquitto.conf || die
+	fi
+	python_setup
+	python_fix_shebang test
+}
+
+src_configure() {
+	makeopts=(
+		"LIB_SUFFIX=${LIBDIR:3}"
+		"WITH_BRIDGE=$(usex bridge)"
+		"WITH_PERSISTENCE=$(usex persistence)"
+		"WITH_SRV=$(usex srv)"
+		"WITH_TLS=$(usex ssl)"
+		"WITH_WRAP=$(usex tcpd)"
+	)
+	einfo "${makeopts[@]}"
+}
+
+src_compile() {
+	emake "${makeopts[@]}"
+}
+
+src_test() {
+	emake "${makeopts[@]}" test
+}
+
+src_install() {
+	emake "${makeopts[@]}" DESTDIR="${D}" prefix=/usr install
+	keepdir /var/lib/mosquitto
+	fowners mosquitto:mosquitto /var/lib/mosquitto
+	dodoc readme.md CONTRIBUTING.md ChangeLog.txt
+	doinitd "${FILESDIR}"/mosquitto
+	insinto /etc/mosquitto
+	doins mosquitto.conf
+	systemd_dounit "${FILESDIR}/mosquitto.service"
+
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		insinto "/usr/share/doc/${PF}/examples"
+		doins -r examples/*
+	fi
+}
+
+pkg_postinst() {
+	elog ""
+	elog "The Python module has been moved out of mosquitto."
+	elog "See http://mosquitto.org/documentation/python/"
+	elog ""
+	elog "To start the mosquitto daemon at boot, add it to the default runlevel with:"
+	elog ""
+	elog "    rc-update add mosquitto default"
+	elog "    or"
+	elog "    systemctl enable mosquitto"
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-misc/mosquitto/files/, app-misc/mosquitto/
@ 2016-08-22 17:13 Manuel Rüger
  0 siblings, 0 replies; 5+ messages in thread
From: Manuel Rüger @ 2016-08-22 17:13 UTC (permalink / raw
  To: gentoo-commits

commit:     440f6895ecf74dccec69fb9c469a667aa036c1a9
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 22 17:13:36 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Aug 22 17:13:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=440f6895

app-misc/mosquitto: Version bump to 1.4.9

Proxy commit for Neil Bothwick
Gentoo-Bug: 588502

Package-Manager: portage-2.3.0

 app-misc/mosquitto/Manifest                        |  1 +
 .../files/mosquitto-1.4.9-conditional-tests.patch  | 43 ++++++++++
 app-misc/mosquitto/mosquitto-1.4.9.ebuild          | 97 ++++++++++++++++++++++
 3 files changed, 141 insertions(+)

diff --git a/app-misc/mosquitto/Manifest b/app-misc/mosquitto/Manifest
index 7e0827a..5d27f28 100644
--- a/app-misc/mosquitto/Manifest
+++ b/app-misc/mosquitto/Manifest
@@ -1 +1,2 @@
 DIST mosquitto-1.4.8.tar.gz 326120 SHA256 d96eb5610e57cc3e273f4527d3f54358ab7711459941a9e64bc4d0a85c2acfda SHA512 4bad8683e98ec858468c53f85f53b42a4166667cebf665d11d3dabe604711f5031da007c8f6d6cb49b8bc91b87eb452bc1f8bfa6adf2d439d2223180b316f9bc WHIRLPOOL b2931c55f3e70316cb57ae180f361c1dedf67e86fec9f235aa3b817884e6af13b8b9b8dc83e375a877d85b1d423ea586ee0698b08af88873a1131d58b4ed402a
+DIST mosquitto-1.4.9.tar.gz 325712 SHA256 1df3ae07de40b80a74cd37a7b026895c544cdd3b42c9e0719ae91623aa98c58b SHA512 5994159d9a8da248a877f3032f36ca9a865d9b4efaafac329620864049992a77d414e02252cbbfef89ea2c37dc761b1885a89e19fc8e82b2a42d38f31e761d4d WHIRLPOOL c03a2c8254dce35bb56c243b17ab255e6d4f8210e73d6855d3abff5d3dcf976ca303082d902616ca4b6bf4ea9b2fcc69e52d3ccde7feac41d3ccf5809b157fed

diff --git a/app-misc/mosquitto/files/mosquitto-1.4.9-conditional-tests.patch b/app-misc/mosquitto/files/mosquitto-1.4.9-conditional-tests.patch
new file mode 100644
index 0000000..12b4fc5
--- /dev/null
+++ b/app-misc/mosquitto/files/mosquitto-1.4.9-conditional-tests.patch
@@ -0,0 +1,43 @@
+--- a/test/broker/Makefile	2016-06-02 22:20:22.000000000 +0100
++++ b/test/broker/Makefile	2016-07-08 14:17:33.772666865 +0100
+@@ -63,6 +63,7 @@
+ 	./05-clean-session-qos1.py 
+ 
+ 06 :
++ifeq ($(WITH_BRIDGE),yes)
+ 	./06-bridge-reconnect-local-out.py
+ 	./06-bridge-br2b-disconnect-qos1.py
+ 	./06-bridge-br2b-disconnect-qos2.py
+@@ -70,6 +71,7 @@
+ 	./06-bridge-b2br-disconnect-qos2.py
+ 	./06-bridge-fail-persist-resend-qos1.py
+ 	./06-bridge-fail-persist-resend-qos2.py
++endif
+ 
+ 07 :
+ 	./07-will-qos0.py
+@@ -87,10 +89,12 @@
+ 	./08-ssl-connect-cert-auth-crl.py
+ 	./08-ssl-connect-identity.py
+ 	./08-ssl-connect-no-identity.py
++ifeq ($(WITH_BRIDGE),yes)
+ 	./08-ssl-bridge.py
+ 	./08-tls-psk-pub.py
+ 	./08-tls-psk-bridge.py
+ endif
++endif
+ 
+ 09 :
+ 	./09-plugin-auth-unpwd-success.py
+--- a/test/broker/c/Makefile	2016-02-14 14:36:55.000000000 +0000
++++ b/test/broker/c/Makefile	2016-05-05 09:40:31.440608209 +0100
+@@ -13,7 +13,9 @@
+ 	$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
+ 
+ 08-tls-psk-bridge.test : 08-tls-psk-bridge.c
++ifeq ($(WITH_BRIDGE),yes)
+ 	$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
++endif
+ 
+ 
+ reallyclean : clean

diff --git a/app-misc/mosquitto/mosquitto-1.4.9.ebuild b/app-misc/mosquitto/mosquitto-1.4.9.ebuild
new file mode 100644
index 0000000..a9ebf16
--- /dev/null
+++ b/app-misc/mosquitto/mosquitto-1.4.9.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils systemd user python-any-r1
+
+DESCRIPTION="An Open Source MQTT v3 Broker"
+HOMEPAGE="http://mosquitto.org/"
+SRC_URI="http://mosquitto.org/files/source/${P}.tar.gz"
+LICENSE="EPL-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="bridge examples +persistence +srv ssl tcpd"
+
+RDEPEND="tcpd? ( sys-apps/tcp-wrappers )
+	ssl? ( dev-libs/openssl:0= )"
+DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
+	srv? ( net-dns/c-ares )"
+
+LIBDIR=$(get_libdir)
+QA_PRESTRIPPED="/usr/sbin/mosquitto
+	/usr/bin/mosquitto_passwd
+	/usr/bin/mosquitto_sub
+	/usr/bin/mosquitto_pub
+	/usr/${LIBDIR}/libmosquittopp.so.1
+	/usr/${LIBDIR}/libmosquitto.so.1"
+
+pkg_setup() {
+	enewgroup mosquitto
+	enewuser mosquitto -1 -1 -1 mosquitto
+}
+
+src_prepare() {
+	epatch "${FILESDIR}/${P}-conditional-tests.patch"
+	if use persistence; then
+		sed -i -e "s:^#autosave_interval:autosave_interval:" \
+			-e "s:^#persistence false$:persistence true:" \
+			-e "s:^#persistence_file:persistence_file:" \
+			-e "s:^#persistence_location$:persistence_location /var/lib/mosquitto/:" \
+			mosquitto.conf || die
+	fi
+	python_setup
+	python_fix_shebang test
+}
+
+src_configure() {
+	makeopts=(
+		"LIB_SUFFIX=${LIBDIR:3}"
+		"WITH_BRIDGE=$(usex bridge)"
+		"WITH_PERSISTENCE=$(usex persistence)"
+		"WITH_SRV=$(usex srv)"
+		"WITH_TLS=$(usex ssl)"
+		"WITH_WRAP=$(usex tcpd)"
+	)
+	einfo "${makeopts[@]}"
+}
+
+src_compile() {
+	emake "${makeopts[@]}"
+}
+
+src_test() {
+	emake "${makeopts[@]}" test
+}
+
+src_install() {
+	emake "${makeopts[@]}" DESTDIR="${D}" prefix=/usr install
+	keepdir /var/lib/mosquitto
+	fowners mosquitto:mosquitto /var/lib/mosquitto
+	dodoc readme.md CONTRIBUTING.md ChangeLog.txt
+	doinitd "${FILESDIR}"/mosquitto
+	insinto /etc/mosquitto
+	doins mosquitto.conf
+	systemd_dounit "${FILESDIR}/mosquitto.service"
+
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		insinto "/usr/share/doc/${PF}/examples"
+		doins -r examples/*
+	fi
+}
+
+pkg_postinst() {
+	elog ""
+	elog "The Python module has been moved out of mosquitto."
+	elog "See http://mosquitto.org/documentation/python/"
+	elog ""
+	elog "To start the mosquitto daemon at boot, add it to the default runlevel with:"
+	elog ""
+	elog "    rc-update add mosquitto default"
+	elog "    or"
+	elog "    systemctl enable mosquitto"
+}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-misc/mosquitto/files/, app-misc/mosquitto/
@ 2018-04-16 13:38 Thomas Deutschmann
  0 siblings, 0 replies; 5+ messages in thread
From: Thomas Deutschmann @ 2018-04-16 13:38 UTC (permalink / raw
  To: gentoo-commits

commit:     39a54f4318fee7b07d8121525e8889c960277de8
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 16 13:05:25 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Apr 16 13:38:00 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=39a54f43

Revert "app-misc/mosquitto: add patch against CVE-2017-7652."

This reverts commit 45182783da2fdcb0d34bfeb72a4f9e619254234a.

Reasons:

  - Has nothing to do with CVE-2017-7652.

  - Patch doesn't apply. [Bug 653238]

Bug: https://bugs.gentoo.org/653238

 .../mosquitto-1.4.15-r1-conditional-tests.patch    |  12 ---
 app-misc/mosquitto/mosquitto-1.4.15-r1.ebuild      | 100 ---------------------
 2 files changed, 112 deletions(-)

diff --git a/app-misc/mosquitto/files/mosquitto-1.4.15-r1-conditional-tests.patch b/app-misc/mosquitto/files/mosquitto-1.4.15-r1-conditional-tests.patch
deleted file mode 100644
index 1642597c562..00000000000
--- a/app-misc/mosquitto/files/mosquitto-1.4.15-r1-conditional-tests.patch
+++ /dev/null
@@ -1,12 +0,0 @@
---- a/test/broker/c/Makefile	2016-02-14 14:36:55.000000000 +0000
-+++ b/test/broker/c/Makefile	2016-05-05 09:40:31.440608209 +0100
-@@ -13,7 +13,9 @@
- 	$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
- 
- 08-tls-psk-bridge.test : 08-tls-psk-bridge.c
-+ifeq ($(WITH_BRIDGE),yes)
- 	$(CC) ${CFLAGS} $^ -o $@ ../../../lib/libmosquitto.so.1
-+endif
- 
- 
- reallyclean : clean

diff --git a/app-misc/mosquitto/mosquitto-1.4.15-r1.ebuild b/app-misc/mosquitto/mosquitto-1.4.15-r1.ebuild
deleted file mode 100644
index 961c208d40b..00000000000
--- a/app-misc/mosquitto/mosquitto-1.4.15-r1.ebuild
+++ /dev/null
@@ -1,100 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-PYTHON_COMPAT=( python2_7 )
-
-inherit systemd user toolchain-funcs python-any-r1
-
-DESCRIPTION="An Open Source MQTT v3 Broker"
-HOMEPAGE="http://mosquitto.org/"
-SRC_URI="http://mosquitto.org/files/source/${P}.tar.gz"
-
-LICENSE="EPL-1.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~x86"
-IUSE="bridge examples +persistence +srv ssl tcpd test websockets"
-
-REQUIRED_USE="test? ( bridge )"
-
-RDEPEND="tcpd? ( sys-apps/tcp-wrappers )
-	ssl? ( dev-libs/openssl:0= )"
-DEPEND="${RDEPEND}
-	${PYTHON_DEPS}
-	srv? ( net-dns/c-ares )
-	websockets? ( net-libs/libwebsockets )"
-
-_emake() {
-	LIBDIR=$(get_libdir)
-	emake \
-		CC="$(tc-getCC)" \
-		LIB_SUFFIX="${LIBDIR:3}" \
-		WITH_BRIDGE="$(usex bridge)" \
-		WITH_PERSISTENCE="$(usex persistence)" \
-		WITH_SRV="$(usex srv)" \
-		WITH_TLS="$(usex ssl)" \
-		WITH_WEBSOCKETS="$(usex websockets)" \
-		WITH_WRAP="$(usex tcpd)" \
-		"$@"
-}
-
-pkg_setup() {
-	enewgroup mosquitto
-	enewuser mosquitto -1 -1 -1 mosquitto
-}
-
-src_prepare() {
-	eapply "${FILESDIR}/${P}-conditional-tests.patch"
-	if use persistence; then
-		sed -i -e "/^#autosave_interval/s|^#||" \
-			-e "s|^#persistence false$|persistence true|" \
-			-e "/^#persistence_file/s|^#||" \
-			-e "s|#persistence_location|persistence_location /var/lib/mosquitto/|" \
-			mosquitto.conf || die
-	fi
-
-	# Remove prestripping
-	sed -i -e 's/-s --strip-program=${CROSS_COMPILE}${STRIP}//'\
-		client/Makefile lib/cpp/Makefile src/Makefile lib/Makefile || die
-
-	python_setup
-	python_fix_shebang test
-	eapply_user
-}
-
-src_compile() {
-	_emake
-}
-
-src_test() {
-	_emake test
-}
-
-src_install() {
-	_emake DESTDIR="${D}" prefix=/usr install
-	keepdir /var/lib/mosquitto
-	fowners mosquitto:mosquitto /var/lib/mosquitto
-	dodoc readme.md CONTRIBUTING.md ChangeLog.txt
-	doinitd "${FILESDIR}"/mosquitto
-	insinto /etc/mosquitto
-	doins mosquitto.conf
-	systemd_dounit "${FILESDIR}/mosquitto.service"
-
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		docinto "/usr/share/doc/${PF}"
-		doins -r examples
-	fi
-}
-
-pkg_postinst() {
-	elog ""
-	elog "The Python module has been moved out of mosquitto."
-	elog "See http://mosquitto.org/documentation/python/"
-	elog ""
-	elog "To start the mosquitto daemon at boot, add it to the default runlevel with:"
-	elog ""
-	elog "    rc-update add mosquitto default"
-	elog "    or"
-	elog "    systemctl enable mosquitto"
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-misc/mosquitto/files/, app-misc/mosquitto/
@ 2018-10-11 15:56 Virgil Dupras
  0 siblings, 0 replies; 5+ messages in thread
From: Virgil Dupras @ 2018-10-11 15:56 UTC (permalink / raw
  To: gentoo-commits

commit:     7750cd794da77bfa401364df3b29189b4ffbb04d
Author:     Lucas Ramage <ramage.lucas <AT> protonmail <DOT> com>
AuthorDate: Tue May 29 14:35:07 2018 +0000
Commit:     Virgil Dupras <vdupras <AT> gentoo <DOT> org>
CommitDate: Thu Oct 11 15:53:54 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7750cd79

app-misc/mosquitto: bump version to 1.5.1

Signed-off-by: Lucas Ramage <ramage.lucas <AT> protonmail.com>
Bug: https://bugs.gentoo.org/656572
Closes: https://bugs.gentoo.org/658552
Closes: https://bugs.gentoo.org/658340
Package-Manager: Portage-2.3.24, Repoman-2.3.6
Signed-off-by: Virgil Dupras <vdupras <AT> gentoo.org>

 app-misc/mosquitto/Manifest                        |  1 +
 .../mosquitto-1.5-fix-socket_get_address.patch     | 29 ++++++++++++++++++++++
 ...patch => mosquitto-fix-conditional-tests.patch} |  0
 app-misc/mosquitto/metadata.xml                    |  2 +-
 ...1.4.15-r2.ebuild => mosquitto-1.4.15-r3.ebuild} |  2 +-
 ...tto-1.4.15-r2.ebuild => mosquitto-1.5.1.ebuild} |  8 ++++--
 6 files changed, 38 insertions(+), 4 deletions(-)

diff --git a/app-misc/mosquitto/Manifest b/app-misc/mosquitto/Manifest
index e57c2e973ef..83420091448 100644
--- a/app-misc/mosquitto/Manifest
+++ b/app-misc/mosquitto/Manifest
@@ -1,2 +1,3 @@
 DIST mosquitto-1.4.14.tar.gz 365596 BLAKE2B 92bcb1fd9e67711d6ce8db5e767be31a1321866205cf4cad684d8b77a8b14a2eaf5e4367a74d5dd8f814f0d229dc77ce878879632c0c34c6a23f7975bf6ae8c7 SHA512 dc75a971354f87deeb79f32435acfae9bc561a1a24a75ee4940a35176ff91758071930d2105d8dee2a090e07527dbfaa5692bece67e03cc87e8b4b8b46f846c2
 DIST mosquitto-1.4.15.tar.gz 368961 BLAKE2B 28bfab7d41d9e057ba8b52e0c428967ecc5d0c25a3d73dca420ae883c2b462ee02da1eeb9c22f4d392f0ccf62224acab6f24d4a0798a594f4b9f90c907fa1495 SHA512 36b06547553cf28af3ca9b728c42fc27e849c4ae84d7964572d430233ab26e2b59eee2a215ac23ddf2d0bef419e7c70e64e2a22c397fadb3e0677314d03f1100
+DIST mosquitto-1.5.1.tar.gz 430066 BLAKE2B ab2df1b77cfcb71c95d3412c4c3da4cf0af1a48d700642a12c8e0334762e9e8868ba0cbd69311d7aa324f2920d3be227149ba4e0bd7558ba10e5d7d1f0b24996 SHA512 7b076a977778ca87f9fa4579eb4a6b62b171df746920719e9bd6efce0a4815c15edc9da177669819509184d2b01ed0756be8259adba344df690efe0547fd6741

diff --git a/app-misc/mosquitto/files/mosquitto-1.5-fix-socket_get_address.patch b/app-misc/mosquitto/files/mosquitto-1.5-fix-socket_get_address.patch
new file mode 100644
index 00000000000..7e9778e8b70
--- /dev/null
+++ b/app-misc/mosquitto/files/mosquitto-1.5-fix-socket_get_address.patch
@@ -0,0 +1,29 @@
+# Fix missing rename of mosquitto__socket_get_address. Mosquitto bug 810.
+
+diff --git a/src/conf.c b/src/conf.c
+index f3d812d..daf2bf4 100644
+--- a/src/conf.c
++++ b/src/conf.c
+@@ -735,8 +735,8 @@ int config__read_file_core(struct mosquitto__config *config, bool reload, struct
+ 	struct mosquitto__listener *cur_listener = &config->default_listener;
+ #ifdef WITH_BRIDGE
+ 	char *address;
+-	int i;
+ #endif
++	int i;
+ 	int lineno_ext;
+ 	struct mosquitto__security_options *cur_security_options = NULL;
+ 
+diff --git a/src/net.c b/src/net.c
+index 7397de5..670b7e2 100644
+--- a/src/net.c
++++ b/src/net.c
+@@ -114,7 +114,7 @@ int net__socket_accept(struct mosquitto_db *db, mosq_sock_t listensock)
+ 	fromhost(&wrap_req);
+ 	if(!hosts_access(&wrap_req)){
+ 		/* Access is denied */
+-		if(!mosquitto__socket_get_address(new_sock, address, 1024)){
++		if(!net__socket_get_address(new_sock, address, 1024)){
+ 			log__printf(NULL, MOSQ_LOG_NOTICE, "Client connection from %s denied access by tcpd.", address);
+ 		}
+ 		COMPAT_CLOSE(new_sock);

diff --git a/app-misc/mosquitto/files/mosquitto-1.4.15-conditional-tests.patch b/app-misc/mosquitto/files/mosquitto-fix-conditional-tests.patch
similarity index 100%
rename from app-misc/mosquitto/files/mosquitto-1.4.15-conditional-tests.patch
rename to app-misc/mosquitto/files/mosquitto-fix-conditional-tests.patch

diff --git a/app-misc/mosquitto/metadata.xml b/app-misc/mosquitto/metadata.xml
index 2b05da7a5d4..ec6718456c6 100644
--- a/app-misc/mosquitto/metadata.xml
+++ b/app-misc/mosquitto/metadata.xml
@@ -2,7 +2,7 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
 	<maintainer type="person">
-		<email>ramage.lucas@openmailbox.org</email>
+		<email>ramage.lucas@protonmail.com</email>
 		<name>Lucas Ramage</name>
 	</maintainer>
 	<maintainer type="project">

diff --git a/app-misc/mosquitto/mosquitto-1.4.15-r2.ebuild b/app-misc/mosquitto/mosquitto-1.4.15-r3.ebuild
similarity index 97%
copy from app-misc/mosquitto/mosquitto-1.4.15-r2.ebuild
copy to app-misc/mosquitto/mosquitto-1.4.15-r3.ebuild
index 48165a4db6f..8905f6d3f49 100644
--- a/app-misc/mosquitto/mosquitto-1.4.15-r2.ebuild
+++ b/app-misc/mosquitto/mosquitto-1.4.15-r3.ebuild
@@ -24,7 +24,7 @@ DEPEND="${RDEPEND}
 	srv? ( net-dns/c-ares )
 	websockets? ( net-libs/libwebsockets )"
 
-PATCHES=( "${FILESDIR}/${P}-conditional-tests.patch" )
+PATCHES=( "${FILESDIR}/${PN}-fix-conditional-tests.patch" )
 
 _emake() {
 	LIBDIR=$(get_libdir)

diff --git a/app-misc/mosquitto/mosquitto-1.4.15-r2.ebuild b/app-misc/mosquitto/mosquitto-1.5.1.ebuild
similarity index 94%
rename from app-misc/mosquitto/mosquitto-1.4.15-r2.ebuild
rename to app-misc/mosquitto/mosquitto-1.5.1.ebuild
index 48165a4db6f..cc7bf4b128f 100644
--- a/app-misc/mosquitto/mosquitto-1.4.15-r2.ebuild
+++ b/app-misc/mosquitto/mosquitto-1.5.1.ebuild
@@ -18,13 +18,16 @@ IUSE="bridge examples +persistence +srv ssl tcpd test websockets"
 REQUIRED_USE="test? ( bridge )"
 
 RDEPEND="tcpd? ( sys-apps/tcp-wrappers )
+	srv? ( net-dns/c-ares )
 	ssl? ( dev-libs/openssl:0= )"
 DEPEND="${RDEPEND}
 	${PYTHON_DEPS}
-	srv? ( net-dns/c-ares )
 	websockets? ( net-libs/libwebsockets )"
 
-PATCHES=( "${FILESDIR}/${P}-conditional-tests.patch" )
+PATCHES=(
+	"${FILESDIR}/${PN}-fix-conditional-tests.patch"
+	"${FILESDIR}/${P}-fix-socket_get_address.patch"
+)
 
 _emake() {
 	LIBDIR=$(get_libdir)
@@ -60,6 +63,7 @@ src_prepare() {
 		client/Makefile lib/cpp/Makefile src/Makefile lib/Makefile || die
 
 	python_setup
+	rm test/{broker,lib}/ptest.py || die
 	python_fix_shebang test
 }
 


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-misc/mosquitto/files/, app-misc/mosquitto/
@ 2021-12-02  1:43 Matt Turner
  0 siblings, 0 replies; 5+ messages in thread
From: Matt Turner @ 2021-12-02  1:43 UTC (permalink / raw
  To: gentoo-commits

commit:     b445ab1bfd4a8221c697e535885f17c0a7b36853
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  2 01:43:03 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Thu Dec  2 01:43:33 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b445ab1b

app-misc/mosquitto: Drop old

Bug: https://bugs.gentoo.org/827962
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-misc/mosquitto/Manifest                        |   3 -
 ...2.0.11-Fix-installation-using-WITH_TLS-no.patch |  29 -----
 app-misc/mosquitto/mosquitto-1.6.15.ebuild         | 114 ------------------
 app-misc/mosquitto/mosquitto-2.0.11.ebuild         | 128 ---------------------
 app-misc/mosquitto/mosquitto-2.0.13.ebuild         | 122 --------------------
 5 files changed, 396 deletions(-)

diff --git a/app-misc/mosquitto/Manifest b/app-misc/mosquitto/Manifest
index 57a1ba78a9e1..7995fc2866db 100644
--- a/app-misc/mosquitto/Manifest
+++ b/app-misc/mosquitto/Manifest
@@ -1,5 +1,2 @@
-DIST mosquitto-1.6.15.tar.gz 620117 BLAKE2B 0107ed0af902b84c73b857ccd97dfe96b1c7ed8604b843ad40f62d3f1246ded4ef1691158311ac9a672ca331f569d13547165f3a0386c77e94ddc13c8a9e3e00 SHA512 30fa2e8a15b87a33d6c8fc3a1f5d45d8e15d284fade116ac5b7bc8722609d565bed22ac592c303fc74352e3272067b2b0c8da463abffc6490cf959ce177329f3
-DIST mosquitto-2.0.11.tar.gz 760325 BLAKE2B adde701bb87ec8071eaaf74fca37f81c4eae97bf98de0fe471f1dfbfb64ccda15b34611b0ffc3d2099a37994151363ad5c717bfa7695fabc1a4927ebd14ae66e SHA512 d0c7c52cb76c4711e54f841217529326d682c4decfc7a1bc96d872904e68df444ca3918fab7ba041b62f7b5420c89c631227b69a8eec51fd2e2dd480d8244710
 DIST mosquitto-2.0.12.tar.gz 783859 BLAKE2B 3bac953fc7f49e19f1914186044c75d7f8b5b23e656acfb7d4c306740d0add20c08760fc206fc871c5cecf8500eb1c88acc4905bddce159d1e8f0c4e2c28b818 SHA512 acf80980f124073fd2fdd99981bde840654fb40a6b6f1d6ef483e35880b45d029cfa9390a98753de6476f4ade068266cb4c6e3c753a0362c0309a5745ac4ebab
-DIST mosquitto-2.0.13.tar.gz 786806 BLAKE2B 83c5c93a209225a24812c494e6065fb4ed4c65ccb34ac60918e5c32683702a9d44f162ccc366d8c2612c6fa867b56e01aaea04b2387f44b77294259198439ad0 SHA512 f22331c0a5a501b3df50b5c4788b735599024837eec4f455d422253a20e6f4ac528044ff4a7611094af87a8059e9a836157e5dc092efedf958ed7c96e5b9f9d0
 DIST mosquitto-2.0.14.tar.gz 787414 BLAKE2B 926e39756a0293404c8591e489e64e47cd95640d7884f2cfb687a0d548b709d8aff6d671a4941aae8b3506315d28567520c183b762639822d2d78afe323d111e SHA512 a9e4f41b9af679b30318570e86a465546024651373df10e3b132f4593b89d22d0dbac01bb7371a57132ba030a2e73971c612acb5c9ac12f5ccd06aa38d9444c2

diff --git a/app-misc/mosquitto/files/2.0.11-Fix-installation-using-WITH_TLS-no.patch b/app-misc/mosquitto/files/2.0.11-Fix-installation-using-WITH_TLS-no.patch
deleted file mode 100644
index 0a08e2997f0b..000000000000
--- a/app-misc/mosquitto/files/2.0.11-Fix-installation-using-WITH_TLS-no.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-From 342aa0ad1a645f468a24266f402d92541d4fd58a Mon Sep 17 00:00:00 2001
-From: Roger Light <roger@atchoo.org>
-Date: Fri, 20 Aug 2021 23:49:59 +0100
-Subject: [PATCH] Fix installation using WITH_TLS=no.
-
-Closes #2281. Thanks to Matt Turner.
----
- ChangeLog.txt                  | 3 +++
- apps/mosquitto_passwd/Makefile | 2 ++
- 2 files changed, 5 insertions(+)
-
-diff --git a/apps/mosquitto_passwd/Makefile b/apps/mosquitto_passwd/Makefile
-index 3238cf3e..1fbf5e12 100644
---- a/apps/mosquitto_passwd/Makefile
-+++ b/apps/mosquitto_passwd/Makefile
-@@ -37,8 +37,10 @@ password_mosq.o : ../../src/password_mosq.c ../../src/password_mosq.h
- 	${CROSS_COMPILE}${CC} $(APP_CPPFLAGS) $(APP_CFLAGS) -c $< -o $@
- 
- install : all
-+ifeq ($(WITH_TLS),yes)
- 	$(INSTALL) -d "${DESTDIR}$(prefix)/bin"
- 	$(INSTALL) ${STRIP_OPTS} mosquitto_passwd "${DESTDIR}${prefix}/bin/mosquitto_passwd"
-+endif
- 
- uninstall :
- 	-rm -f "${DESTDIR}${prefix}/bin/mosquitto_passwd"
--- 
-2.31.1
-

diff --git a/app-misc/mosquitto/mosquitto-1.6.15.ebuild b/app-misc/mosquitto/mosquitto-1.6.15.ebuild
deleted file mode 100644
index 63497c19ccdb..000000000000
--- a/app-misc/mosquitto/mosquitto-1.6.15.ebuild
+++ /dev/null
@@ -1,114 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{7,8} )
-
-inherit python-any-r1 systemd toolchain-funcs
-
-DESCRIPTION="An Open Source MQTT v3 Broker"
-HOMEPAGE="https://mosquitto.org/ https://github.com/eclipse/mosquitto"
-SRC_URI="https://mosquitto.org/files/source/${P}.tar.gz"
-
-LICENSE="EPL-1.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-IUSE="bridge examples +persistence +srv ssl tcpd test websockets"
-RESTRICT="!test? ( test )"
-
-REQUIRED_USE="test? ( bridge )"
-
-RDEPEND="
-	acct-user/mosquitto
-	acct-group/mosquitto
-	srv? ( net-dns/c-ares:= )
-	ssl? (
-		dev-libs/openssl:0=
-	)
-	tcpd? ( sys-apps/tcp-wrappers )"
-
-DEPEND="${PYTHON_DEPS}
-	${RDEPEND}
-	test? ( dev-util/cunit )
-	websockets? ( net-libs/libwebsockets[lejp] )"
-
-_emake() {
-	local LIBDIR=$(get_libdir)
-	emake \
-		CC="$(tc-getCC)" \
-		CXX="$(tc-getCXX)" \
-		CLIENT_LDFLAGS="${LDFLAGS}" \
-		LIB_SUFFIX="${LIBDIR:3}" \
-		WITH_BRIDGE="$(usex bridge)" \
-		WITH_PERSISTENCE="$(usex persistence)" \
-		WITH_SRV="$(usex srv)" \
-		WITH_TLS="$(usex ssl)" \
-		WITH_WEBSOCKETS="$(usex websockets)" \
-		WITH_WRAP="$(usex tcpd)" \
-		"$@"
-}
-
-src_prepare() {
-	default
-	if use persistence; then
-		sed -i -e "/^#autosave_interval/s|^#||" \
-			-e "s|^#persistence false$|persistence true|" \
-			-e "/^#persistence_file/s|^#||" \
-			-e "s|#persistence_location|persistence_location /var/lib/mosquitto/|" \
-			mosquitto.conf || die
-	fi
-
-	# Remove prestripping
-	sed -i -e 's/-s --strip-program=${CROSS_COMPILE}${STRIP}//'\
-		client/Makefile lib/cpp/Makefile src/Makefile lib/Makefile || die
-
-	# Remove failing tests
-	sed -i -e '/02-subpub-qos1-bad-pubcomp.py/d' \
-		-e '/02-subpub-qos1-bad-pubrec.py/d' \
-		-e '/02-subpub-qos2-bad-puback-1.py/d' \
-		-e '/02-subpub-qos2-bad-puback-2.py/d' \
-		-e '/02-subpub-qos2-bad-pubcomp.py/d' \
-		test/broker/Makefile || die
-	sed -i -e '/02-subscribe-qos1-async2.test/d' \
-		test/lib/Makefile || die
-
-	python_setup
-	python_fix_shebang test
-}
-
-src_compile() {
-	_emake
-}
-
-src_test() {
-	_emake test
-}
-
-src_install() {
-	_emake DESTDIR="${D}" prefix=/usr install
-	keepdir /var/lib/mosquitto
-	fowners mosquitto:mosquitto /var/lib/mosquitto
-	dodoc readme.md CONTRIBUTING.md ChangeLog.txt
-	doinitd "${FILESDIR}"/mosquitto
-	insinto /etc/mosquitto
-	doins mosquitto.conf
-	systemd_dounit "${FILESDIR}/mosquitto.service"
-
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		dodoc -r examples
-	fi
-}
-
-pkg_postinst() {
-	if [[ -z "${REPLACING_VERSIONS}" ]]; then
-		elog "The Python module has been moved out of mosquitto."
-		elog "See https://mosquitto.org/documentation/python/"
-	else
-		elog "To start the mosquitto daemon at boot, add it to the default runlevel with:"
-		elog ""
-		elog "    rc-update add mosquitto default"
-		elog "or"
-		elog "    systemctl enable mosquitto"
-	fi
-}

diff --git a/app-misc/mosquitto/mosquitto-2.0.11.ebuild b/app-misc/mosquitto/mosquitto-2.0.11.ebuild
deleted file mode 100644
index 51e634414e8d..000000000000
--- a/app-misc/mosquitto/mosquitto-2.0.11.ebuild
+++ /dev/null
@@ -1,128 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit python-any-r1 systemd toolchain-funcs
-
-DESCRIPTION="An Open Source MQTT v3 Broker"
-HOMEPAGE="https://mosquitto.org/ https://github.com/eclipse/mosquitto"
-SRC_URI="https://mosquitto.org/files/source/${P}.tar.gz"
-
-LICENSE="EPL-1.0"
-SLOT="0"
-KEYWORDS="amd64 arm ~arm64 x86"
-IUSE="bridge examples +persistence +srv ssl tcpd test websockets"
-RESTRICT="!test? ( test )"
-
-REQUIRED_USE="test? ( bridge )"
-
-RDEPEND="
-	acct-user/mosquitto
-	acct-group/mosquitto
-	dev-libs/cJSON:=
-	srv? ( net-dns/c-ares:= )
-	ssl? (
-		dev-libs/openssl:0=
-	)
-	tcpd? ( sys-apps/tcp-wrappers )"
-
-DEPEND="${PYTHON_DEPS}
-	${RDEPEND}
-	test? ( dev-util/cunit )
-	websockets? ( net-libs/libwebsockets[lejp] )"
-
-PATCHES=(
-	"${FILESDIR}"/${PV}-Fix-installation-using-WITH_TLS-no.patch
-)
-
-_emake() {
-	local LIBDIR=$(get_libdir)
-	emake \
-		CC="$(tc-getCC)" \
-		CXX="$(tc-getCXX)" \
-		CLIENT_LDFLAGS="${LDFLAGS}" \
-		LIB_SUFFIX="${LIBDIR:3}" \
-		WITH_BRIDGE="$(usex bridge)" \
-		WITH_PERSISTENCE="$(usex persistence)" \
-		WITH_SRV="$(usex srv)" \
-		WITH_TLS="$(usex ssl)" \
-		WITH_WEBSOCKETS="$(usex websockets)" \
-		WITH_WRAP="$(usex tcpd)" \
-		"$@"
-}
-
-src_prepare() {
-	default
-	if use persistence; then
-		sed -i -e "/^#autosave_interval/s|^#||" \
-			-e "s|^#persistence false$|persistence true|" \
-			-e "/^#persistence_file/s|^#||" \
-			-e "s|#persistence_location|persistence_location /var/lib/mosquitto/|" \
-			mosquitto.conf || die
-	fi
-
-	# Remove prestripping
-	sed -i -e 's/-s --strip-program=${CROSS_COMPILE}${STRIP}//'\
-		client/Makefile lib/cpp/Makefile src/Makefile lib/Makefile || die
-
-	# Remove failing tests
-	sed -i -e '/02-subpub-qos1-bad-pubcomp.py/d' \
-		-e '/02-subpub-qos1-bad-pubrec.py/d' \
-		-e '/02-subpub-qos2-bad-puback-1.py/d' \
-		-e '/02-subpub-qos2-bad-puback-2.py/d' \
-		-e '/02-subpub-qos2-bad-pubcomp.py/d' \
-		test/broker/Makefile || die
-	sed -i -e '/02-subscribe-qos1-async2.test/d' \
-		test/lib/Makefile || die
-
-	# Extend test timeout to prevent spurious failures
-	sed -i -e 's/SUB_TIMEOUT=1/SUB_TIMEOUT=3/' \
-		test/client/test.sh || die
-
-	python_setup
-	python_fix_shebang test
-}
-
-src_compile() {
-	_emake
-}
-
-src_test() {
-	_emake test
-}
-
-src_install() {
-	_emake DESTDIR="${D}" prefix=/usr install
-	keepdir /var/lib/mosquitto
-	fowners mosquitto:mosquitto /var/lib/mosquitto
-	dodoc README.md CONTRIBUTING.md ChangeLog.txt
-	doinitd "${FILESDIR}"/mosquitto
-	insinto /etc/mosquitto
-	doins mosquitto.conf
-	insinto /usr/share/mosquitto
-	doins misc/letsencrypt/mosquitto-copy.sh
-	systemd_dounit "${FILESDIR}/mosquitto.service"
-
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		dodoc -r examples
-	fi
-}
-
-pkg_postinst() {
-	for v in ${REPLACING_VERSIONS}; do
-		if [[ $(ver_cut 1 "$v") -lt 2 ]]; then
-			elog
-			elog "Please read the migration guide at:"
-			elog "https://mosquitto.org/documentation/migrating-to-2-0/"
-			elog
-			elog "If you use Lets Encrypt TLS certificates, take note of"
-			elog "the changes required to run the daemon as the unprivileged"
-			elog "mosquitto user. The mosquitto-copy.sh script has been"
-			elog "installed to /usr/share/mosquitto/ for your convenience."
-			elog
-		fi
-	done
-}

diff --git a/app-misc/mosquitto/mosquitto-2.0.13.ebuild b/app-misc/mosquitto/mosquitto-2.0.13.ebuild
deleted file mode 100644
index 056871a3f293..000000000000
--- a/app-misc/mosquitto/mosquitto-2.0.13.ebuild
+++ /dev/null
@@ -1,122 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit python-any-r1 systemd toolchain-funcs
-
-DESCRIPTION="An Open Source MQTT v3 Broker"
-HOMEPAGE="https://mosquitto.org/ https://github.com/eclipse/mosquitto"
-SRC_URI="https://mosquitto.org/files/source/${P}.tar.gz"
-
-LICENSE="EPL-1.0"
-SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
-IUSE="bridge examples +persistence +srv ssl tcpd test websockets"
-RESTRICT="!test? ( test )"
-
-REQUIRED_USE="test? ( bridge )"
-
-RDEPEND="
-	acct-user/mosquitto
-	acct-group/mosquitto
-	dev-libs/cJSON:=
-	srv? ( net-dns/c-ares:= )
-	ssl? (
-		dev-libs/openssl:0=
-	)
-	tcpd? ( sys-apps/tcp-wrappers )"
-
-DEPEND="${PYTHON_DEPS}
-	${RDEPEND}
-	test? ( dev-util/cunit )
-	websockets? ( net-libs/libwebsockets[lejp] )"
-
-_emake() {
-	local LIBDIR=$(get_libdir)
-	emake \
-		CC="$(tc-getCC)" \
-		CXX="$(tc-getCXX)" \
-		CLIENT_LDFLAGS="${LDFLAGS}" \
-		LIB_SUFFIX="${LIBDIR:3}" \
-		WITH_BRIDGE="$(usex bridge)" \
-		WITH_PERSISTENCE="$(usex persistence)" \
-		WITH_SRV="$(usex srv)" \
-		WITH_TLS="$(usex ssl)" \
-		WITH_WEBSOCKETS="$(usex websockets)" \
-		WITH_WRAP="$(usex tcpd)" \
-		"$@"
-}
-
-src_prepare() {
-	default
-	if use persistence; then
-		sed -i -e "/^#autosave_interval/s|^#||" \
-			-e "s|^#persistence false$|persistence true|" \
-			-e "/^#persistence_file/s|^#||" \
-			-e "s|#persistence_location|persistence_location /var/lib/mosquitto/|" \
-			mosquitto.conf || die
-	fi
-
-	# Remove prestripping
-	sed -i -e 's/-s --strip-program=${CROSS_COMPILE}${STRIP}//'\
-		client/Makefile lib/cpp/Makefile src/Makefile lib/Makefile || die
-
-	# Remove failing tests
-	sed -i \
-		-e '/01-connect-575314.py/d' \
-		test/broker/Makefile || die
-	sed -i \
-		-e '/02-subscribe-qos1-async2.test/d' \
-		test/lib/Makefile || die
-
-	# Extend test timeout to prevent spurious failures
-	sed -i -e 's/SUB_TIMEOUT=1/SUB_TIMEOUT=3/' \
-		test/client/test.sh || die
-
-	python_setup
-	python_fix_shebang test
-}
-
-src_compile() {
-	_emake
-}
-
-src_test() {
-	_emake test
-}
-
-src_install() {
-	_emake DESTDIR="${D}" prefix=/usr install
-	keepdir /var/lib/mosquitto
-	fowners mosquitto:mosquitto /var/lib/mosquitto
-	dodoc README.md CONTRIBUTING.md ChangeLog.txt
-	doinitd "${FILESDIR}"/mosquitto
-	insinto /etc/mosquitto
-	doins mosquitto.conf
-	insinto /usr/share/mosquitto
-	doins misc/letsencrypt/mosquitto-copy.sh
-	systemd_dounit "${FILESDIR}/mosquitto.service"
-
-	if use examples; then
-		docompress -x "/usr/share/doc/${PF}/examples"
-		dodoc -r examples
-	fi
-}
-
-pkg_postinst() {
-	for v in ${REPLACING_VERSIONS}; do
-		if [[ $(ver_cut 1 "$v") -lt 2 ]]; then
-			elog
-			elog "Please read the migration guide at:"
-			elog "https://mosquitto.org/documentation/migrating-to-2-0/"
-			elog
-			elog "If you use Lets Encrypt TLS certificates, take note of"
-			elog "the changes required to run the daemon as the unprivileged"
-			elog "mosquitto user. The mosquitto-copy.sh script has been"
-			elog "installed to /usr/share/mosquitto/ for your convenience."
-			elog
-		fi
-	done
-}


^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2021-12-02  1:43 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-08-22 17:13 [gentoo-commits] repo/gentoo:master commit in: app-misc/mosquitto/files/, app-misc/mosquitto/ Manuel Rüger
  -- strict thread matches above, loose matches on Subject: below --
2021-12-02  1:43 Matt Turner
2018-10-11 15:56 Virgil Dupras
2018-04-16 13:38 Thomas Deutschmann
2016-05-06 13:24 Sam Jorna

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox